Subject: AW: MPLS Multicast - Forwarding Plane

From: Hummel Heinrich <[email-masked]>
Date: Wed, 7 Mar 2001 10:58:13 +0100

Because not every NHLFE, i.e. not every LSR, can support Multicast, I expressed my regrets some time ago not to have a "Multicast-Bit" in the label  
(nor in G-MPLS labels).

Heinrich Hummel

> -----Urspr> üngliche Nachricht-----
> Von:	Dirk Ooms [SMTP:[email-masked]]
> Gesendet am:	Montag, 12. Februar 2001 12:42
> An:	[email-masked]
> Cc:	'mpls'
> Betreff:	Re: MPLS Multicast - Forwarding Plane
> 
> David,
> 
> Can you be more specific on the detail you are looking for?
> 
> dirk
> 
> David Melman wrote:
> > 
> > RFC 3031 MPLS Architecture briefly mentions the forwarding plane processing in section 4.8. "MPLS and Multicast":
> > 
> > "When a multicast labeled packet arrives, the NHLFE corresponding to the label indicates the set of output interfaces for that packet, as well as the outgoing label.  If the same label encoding technique is used on all the outgoing interfaces, the very same packet can be sent to all the children."
> > 
> > Is this addressed in any more detail in any other draft?
> > 
> > Thanks,
> > 
> > David
> 
> --

---

From: Eric Gray <[email-masked]>
Date: Thu, 08 Mar 2001 09:56:03 -0500

Heinrich,

    I'm joining this discussion a bit late, I'm afraid, but I
do not understand why a 'multicast bit' would be useful.
I would assume that an LSP used for multicast would be
bound to a FEC for a corresponding multicast address
(or other addressing related approach).

    Are there situations in which this is not the case?

    If so, how would a multicast capable router know what
output interfaces to include - even when routing packets
not using MPLS labels and LSPs?

--
Eric Gray

---

From: Mark Stewart <[email-masked]>
Date: Mon, 12 Mar 2001 18:12:46 -0500

Hi Eric

I believe the historic reason for the multicast bit is that people thought it might be useful, and put it in just in case. At present it allows a canonical segregation of the label spaces for unicast and multicast, as there is a natural preference for upstream label assignment in the multicast case, and
downstream label assignment in the unicast case it does have some advantages.

ciao

mark